%global srcname grunt-known-options

Name:           nodejs-%{srcname}
Version:        1.1.0
Release:        %mkrel 2
Summary:        The known options used in Grunt
License:        MIT
Group:		System/Libraries
URL:            https://www.npmjs.com/package/grunt-known-options
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -qn package

%build
#nothing to do

%check
%{__nodejs} -e 'require("./")'

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json *.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%files
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1522067
- Mageia 8 Mass Rebuild
+ pterjan <pterjan>
- Drop ExclusiveArch preventing building this noarch package on aarch64 machines

* Thu Jan 17 2019 joequant <joequant> 1.1.0-1.mga7
+ Revision: 1357689
- add group
- imported package nodejs-grunt-known-options

